<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Zonlinks.Mvvm</name>
    </assembly>
    <members>
        <member name="T:Zonlinks.Mvvm.Command.MvvmCommand">
            <summary>
            命令
            </summary>
        </member>
        <member name="M:Zonlinks.Mvvm.Command.MvvmCommand.#ctor(System.Action)">
            <summary>
            实例化一个新的MvvmCommand
            </summary>
            <param name="execute">要执行的方法委托</param>
        </member>
        <member name="M:Zonlinks.Mvvm.Command.MvvmCommand.#ctor(System.Action,System.Func{System.Boolean})">
            <summary>
            实例化一个新的MvvmCommand
            </summary>
            <param name="execute">要执行的方法委托</param>
            <param name="canExecute">控制该命令是否可执行的委托</param>
        </member>
        <member name="E:Zonlinks.Mvvm.Command.MvvmCommand.CanExecuteChanged">
            <summary>
            当更改发生时，会影响命令是否应该执行
            </summary>
        </member>
        <member name="M:Zonlinks.Mvvm.Command.MvvmCommand.CanExecute(System.Object)">
            <summary>
            得知该命令当前是否可执行
            </summary>
            <param name="parameter">参数</param>
            <returns></returns>
        </member>
        <member name="M:Zonlinks.Mvvm.Command.MvvmCommand.Execute(System.Object)">
            <summary>
            执行命令
            </summary>
            <param name="parameter">命令参数</param>
        </member>
        <member name="M:Zonlinks.Mvvm.Command.MvvmCommand`1.#ctor(System.Action{`0})">
            <summary>
            实例化一个新的MvvmCommand
            </summary>
            <param name="execute">要执行的方法委托</param>
        </member>
        <member name="M:Zonlinks.Mvvm.Command.MvvmCommand`1.#ctor(System.Action{`0},System.Func{`0,System.Boolean})">
            <summary>
            实例化一个新的MvvmCommand
            </summary>
            <param name="execute">要执行的方法委托</param>
            <param name="canExecute">控制该命令是否可执行的委托</param>
        </member>
        <member name="E:Zonlinks.Mvvm.Command.MvvmCommand`1.CanExecuteChanged">
            <summary>
            当更改发生时，会影响命令是否应该执行
            </summary>
        </member>
        <member name="M:Zonlinks.Mvvm.Command.MvvmCommand`1.CanExecute(System.Object)">
            <summary>
            得知该命令当前是否可执行
            </summary>
            <param name="parameter">参数</param>
            <returns></returns>
        </member>
        <member name="M:Zonlinks.Mvvm.Command.MvvmCommand`1.Execute(System.Object)">
            <summary>
            执行命令
            </summary>
            <param name="parameter">命令参数</param>
        </member>
        <member name="T:Zonlinks.Mvvm.MvvmNotify">
            <summary>
            属性通知实现
            </summary>
        </member>
        <member name="E:Zonlinks.Mvvm.MvvmNotify.PropertyChanged">
            <summary>
            当属性发生变化时
            </summary>
        </member>
        <member name="M:Zonlinks.Mvvm.MvvmNotify.RaisePropertyChanged(System.String)">
            <summary>
            通知属性变更
            </summary>
            <param name="propertyName">属性名称</param>
        </member>
    </members>
</doc>
